Developing in Drupal 101 - pulling in libraries

theotherdy's picture
Forums: 

How do I make these various libraries available within my Drupal development environment? This is for the DragText question type:

Missing dependency FontAwesome 4.5 required by H5P.DragText 1.6.

Missing dependency jQuery.ui 1.10 required by H5P.DragText 1.6.

Missing dependency H5P.JoubelUI 1.3 required by H5P.DragText 1.6.

Missing dependency H5P.Question 1.3 required by H5P.DragText 1.6.

Missing dependency H5PEditor.RangeList 1.0 required by H5P.DragText 1.6.

 

Content types: 
BV52's picture

Hi theotherdy,

First you need to enter this 2 commands inside the the H5P-drag-text folder "npm install" and "npm run build".

After successfully running both commands you need to move up one directory (development folder) and git clone all dependencies for this content. You can find this in the H5P github repository.

But to save you the time I have prepared the list :-)

 

These are all the files that this specific content needs to function. Please note that this list may change in future releases.

I hope this helps if you encounter any issues feel free to post it here.

-BV52